Debian Bug report logs - #722266
ITP: libccd -- libccd is library for collision detection between two convex shapes

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Leopold Palomo-Avellaneda <leo@alaxarxa.net>

Date: Mon, 9 Sep 2013 15:12:07 UTC

Owned by: "Leopold Palomo-Avellaneda" <leo@alaxarxa.net>

Severity: wishlist

Fixed in version libccd/2.0-1

Done: Jose Luis Rivero <jrivero@osrfoundation.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org, "Leopold Palomo-Avellaneda" <leo@alaxarxa.net>:
Bug#722266; Package wnpp. (Mon, 09 Sep 2013 15:12:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leopold Palomo-Avellaneda <leo@alaxarxa.net>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org, "Leopold Palomo-Avellaneda" <leo@alaxarxa.net>. (Mon, 09 Sep 2013 15:12:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Leopold Palomo-Avellaneda <leo@alaxarxa.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libccd -- libccd is library for collision detection between two convex shapes
Date: Mon, 09 Sep 2013 17:02:30 +0200
Package: wnpp
Severity: wishlist
Owner: "Leopold Palomo-Avellaneda" <leo@alaxarxa.net>

* Package name    : libccd
  Version         : 1.4
  Upstream Author : Daniel Fiser <danfis@danfis.cz>   
* URL             : http://libccd.danfis.cz/
* License         : 3-clause BSD 
  Programming Lang: C
  Description     : libccd is library for collision detection between two convex shapes

libccd implements variation on Gilbert-Johnson-Keerthi (GJK) algorithm +
Expand Polytope Algorithm (EPA). It also implements Minkowski Portal
Refinement (MPR, a.k.a. XenoCollide) algorithm as published in Game
Programming Gems 7. libccd is the only available open source library of my
knowledge that include MPR algorithm working in 3-D space. 



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Leopold Palomo-Avellaneda" <leo@alaxarxa.net>:
Bug#722266; Package wnpp. (Tue, 10 Sep 2013 09:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Leopold Palomo-Avellaneda" <leo@alaxarxa.net>. (Tue, 10 Sep 2013 09:39:05 GMT) Full text and rfc822 format available.

Message #10 received at 722266@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Leopold Palomo-Avellaneda <leo@alaxarxa.net>, 722266@bugs.debian.org
Cc: Debian Science List <debian-science@lists.debian.org>
Subject: Re: Bug#722266: ITP: libccd -- libccd is library for collision detection between two convex shapes
Date: Tue, 10 Sep 2013 11:33:59 +0200
Hi Leopold,

please consider maintaining this package as well as fcl in Debian
Science team.

Kind regards and thanks for the ITP

      Andreas.

On Mon, Sep 09, 2013 at 05:02:30PM +0200, Leopold Palomo-Avellaneda wrote:
> Package: wnpp
> Severity: wishlist
> Owner: "Leopold Palomo-Avellaneda" <leo@alaxarxa.net>
> 
> * Package name    : libccd
>   Version         : 1.4
>   Upstream Author : Daniel Fiser <danfis@danfis.cz>   
> * URL             : http://libccd.danfis.cz/
> * License         : 3-clause BSD 
>   Programming Lang: C
>   Description     : libccd is library for collision detection between two convex shapes
> 
> libccd implements variation on Gilbert-Johnson-Keerthi (GJK) algorithm +
> Expand Polytope Algorithm (EPA). It also implements Minkowski Portal
> Refinement (MPR, a.k.a. XenoCollide) algorithm as published in Game
> Programming Gems 7. libccd is the only available open source library of my
> knowledge that include MPR algorithm working in 3-D space. 
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/20130909150230.11220.52356.reportbug@soho.upc.es
> 
> 

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#722266; Package wnpp. (Tue, 10 Sep 2013 11:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Leopold Palomo-Avellaneda" <leo@alaxarxa.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 10 Sep 2013 11:00:04 GMT) Full text and rfc822 format available.

Message #15 received at 722266@bugs.debian.org (full text, mbox):

From: "Leopold Palomo-Avellaneda" <leo@alaxarxa.net>
To: debian-science@lists.debian.org
Cc: Andreas Tille <andreas@an3as.eu>, 722266@bugs.debian.org
Subject: Re: Bug#722266: ITP: libccd -- libccd is library for collision detection between two convex shapes
Date: Tue, 10 Sep 2013 12:57:44 +0200
A Dimarts, 10 de setembre de 2013, Andreas Tille va escriure:
> Hi Leopold,
> 
> please consider maintaining this package as well as fcl in Debian
> Science team.

Of course, the git repo is created under debian-science. I'm packaging OMPL 
that I though that had fcl and libccd dependency, but it could be build 
without that.

I'm a bit slow because I have to refresh my last packages and create a 
packages from zero it's not easy. When I have something that could be tested I 
will inform.


Best regards,

Leo

> 
> Kind regards and thanks for the ITP
> 
>       Andreas.
> 
> On Mon, Sep 09, 2013 at 05:02:30PM +0200, Leopold Palomo-Avellaneda wrote:
> > Package: wnpp
> > Severity: wishlist
> > Owner: "Leopold Palomo-Avellaneda" <leo@alaxarxa.net>
> > 
> > * Package name    : libccd
> >   Version         : 1.4
> >   Upstream Author : Daniel Fiser <danfis@danfis.cz>   
> > * URL             : http://libccd.danfis.cz/
> > * License         : 3-clause BSD 
> >   Programming Lang: C
> >   Description     : libccd is library for collision detection between two 
convex shapes
> > 
> > libccd implements variation on Gilbert-Johnson-Keerthi (GJK) algorithm +
> > Expand Polytope Algorithm (EPA). It also implements Minkowski Portal
> > Refinement (MPR, a.k.a. XenoCollide) algorithm as published in Game
> > Programming Gems 7. libccd is the only available open source library of my
> > knowledge that include MPR algorithm working in 3-D space. 
> > 
> > 
> > -- 
> > To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
> > with a subject of "unsubscribe". Trouble? Contact 
listmaster@lists.debian.org
> > Archive: 
http://lists.debian.org/20130909150230.11220.52356.reportbug@soho.upc.es
> > 
> > 
> 
> -- 
> http://fam-tille.de
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-science-request@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact 
listmaster@lists.debian.org
> Archive: http://lists.debian.org/20130910093359.GE22590@an3as.eu
> 
> 


-- 
--
Linux User 152692
Catalonia



Reply sent to Jose Luis Rivero <jrivero@osrfoundation.org>:
You have taken responsibility. (Tue, 08 Apr 2014 16:03:06 GMT) Full text and rfc822 format available.

Notification sent to Leopold Palomo-Avellaneda <leo@alaxarxa.net>:
Bug acknowledged by developer. (Tue, 08 Apr 2014 16:03:06 GMT) Full text and rfc822 format available.

Message #20 received at 722266-close@bugs.debian.org (full text, mbox):

From: Jose Luis Rivero <jrivero@osrfoundation.org>
To: 722266-close@bugs.debian.org
Subject: Bug#722266: fixed in libccd 2.0-1
Date: Tue, 08 Apr 2014 16:00:07 +0000
Source: libccd
Source-Version: 2.0-1

We believe that the bug you reported is fixed in the latest version of
libccd, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 722266@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jose Luis Rivero <jrivero@osrfoundation.org> (supplier of updated libccd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 24 Mar 2014 16:51:48 +0000
Source: libccd
Binary: libccd2 libccd-dev libccd2-dbg
Architecture: source amd64
Version: 2.0-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Jose Luis Rivero <jrivero@osrfoundation.org>
Description: 
 libccd-dev - Library for collision detection between convex shapes - dev files
 libccd2    - Library for collision detection between convex shapes - shared li
 libccd2-dbg - Library for collision detection between convex shapes - debug fil
Closes: 722266
Changes: 
 libccd (2.0-1) unstable; urgency=medium
 .
   * Initial release (Closes: #722266)
Checksums-Sha1: 
 2d3aacf53d37d26def319ed4216d0464f295600f 1986 libccd_2.0-1.dsc
 f6ab9053c7f3b18a781c8be973c1844c4421936a 68103 libccd_2.0.orig.tar.gz
 e4c6d550aa983fcfdfd4b98f97a9f5e78860250d 3084 libccd_2.0-1.debian.tar.xz
 f0bfcc86e2f6e2765a38fb16cf304562b72edbde 20274 libccd2_2.0-1_amd64.deb
 63ed43d7d1e4982e5cc6a14dd5e22aad0d32e7a2 7914 libccd-dev_2.0-1_amd64.deb
 796f7ca47fd19adbca2ac6316a4acab34041191f 64968 libccd2-dbg_2.0-1_amd64.deb
Checksums-Sha256: 
 7f6a1004c6fc276e5d5001aae1eb7b99923fab645659bc6831067e0289935e81 1986 libccd_2.0-1.dsc
 513e212fbb22cf720cf16ba911e8a8ccb1050c006789631ff2474ecc2f12b47a 68103 libccd_2.0.orig.tar.gz
 2792085392d0218ba73aeea32af5942c3c510c6850598958a00c976ae5a710e3 3084 libccd_2.0-1.debian.tar.xz
 9c1c6e4591f154cdd53567759445f2e2429c556092dcb88a22fab8c11ab3a9a4 20274 libccd2_2.0-1_amd64.deb
 ba9842a6d8b3f0dc59417f4384c92b829eac55abcc4f0199cf716e60a9ae3a17 7914 libccd-dev_2.0-1_amd64.deb
 1b958215d918aa38b50fa2183b16d765a70108946510fd558e85c619b757c0a0 64968 libccd2-dbg_2.0-1_amd64.deb
Files: 
 b31b3b70ae21d3a6b30d68046f2d8ad2 1986 science extra libccd_2.0-1.dsc
 919415277e3baa1d157e713c0b597ab0 68103 science extra libccd_2.0.orig.tar.gz
 c46e3c02ea7712c8da194b97f0e785b9 3084 science extra libccd_2.0-1.debian.tar.xz
 605aad8325a7fb993b9acf95bbfb03ba 20274 libs extra libccd2_2.0-1_amd64.deb
 a7442db704ba999d09d6d7d6d4ba5451 7914 libdevel extra libccd-dev_2.0-1_amd64.deb
 679cdcd7f4cf1285b928dc87e47fefe3 64968 debug extra libccd2-dbg_2.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBAgAGBQJTPuggAAoJENPhc4PPp/8GSKoP/1vubhfUbKRfKqQAK7bujyHs
rPBh4owb+uQCQaafGhMq236JVffWufLLHQqTkXHBwdaCPJ9N6QGK1OvwuD6e9DkB
Jzqg2bYbLXO2WvGde7Xy/VvFeD/1pWCx1ZTWV5y7zqnjKKHXmHtHzREn/D9KMtss
bamD677vogx2MDUnBzUxU6Cq1ihtHfUR9jsn/8LZFfWtjeCvk2sCUcZe3KxxuzLJ
cSHmh8UAcgHXNuzlXVqMWX9AXgaXKyTVseaCkLvtaw5xc5RJ8r9Zj1Ou9vw2q6mb
cu03V6HbvvrMaOqbcCjSf31/KCpu1csPIbkMbPB2H8tdpFKr2/gKw6S7NajTa6Im
T7JjiCuCTpEQvgJdx0HpdUvw3Z/bSGEL1A6jqWdP7NOG2kFB/fv+aKzY9KHQBHlv
wTMsCpZNQhgC0LEwuk1iT5gYmce8PBcy/D9Lmc6r96T13OpPaSMOqAO6Q2chi4K2
Vaa6XEmXI8tNl2T0heDychb2/AH67uLUGqZakm8r7v13+Vm+vDxufCMdgxqVFHxc
IhU9RQK4uhbpld0dhRyB8Ry6yEaWm4eQlHg0Vme0XR7WDmU9Y+AkDFg8zry6hMhF
j8WeThf1G8XQrUebF3JoyapPa4j4+OBHhh46J7okb3kSGess7oMAW1v6FzSc2C6u
k/LMDnbGTASghb2VTpfD
=f8E0
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:02:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.